var _ = require("lodash");

var obj = {
  a: "str ",
  b: 1,
  c: 0.4,
  d: {
    d1: "str"
  },
  e: [
    1, 2
  ]
};

print(JSON.stringify(obj, null, '  '));

obj = _.mapValues(obj, function(v) {
  return _.isString(v) ? v.trim() : v;
});

print(JSON.stringify(obj, null, '  '));